org.eclipse.jetty.webapp

## Class WebAppContext.Context

- java.lang.Object
- - org.eclipse.jetty.server.handler.ContextHandler.Context
  - - org.eclipse.jetty.servlet.ServletContextHandler.Context
    - - org.eclipse.jetty.webapp.WebAppContext.Context

- All Implemented Interfaces:
    javax.servlet.ServletContext
  Enclosing class:
    WebAppContext

      public class WebAppContext.Context
      extends ServletContextHandler.Context

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.server.handler.ContextHandler.Context

      `_enabled, _majorVersion, _minorVersion`

    - ### Fields inherited from interface javax.servlet.ServletContext

      `ORDERED_LIBS, TEMPDIR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAppContext.Context()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.servlet.ServletContext` | `getContext(String uripath)`
    `URL` | `getResource(String path)`

    - ### Methods inherited from class org.eclipse.jetty.servlet.ServletContextHandler.Context

      `addFilter, addFilter, addFilter, addListener, addListener, addListener, addServlet, addServlet, addServlet, createFilter, createListener, createServlet, declareRoles, getDefaultSessionTrackingModes, getEffectiveSessionTrackingModes, getFilterRegistration, getFilterRegistrations, getJspConfigDescriptor, getNamedDispatcher, getServletRegistration, getServletRegistrations, getSessionCookieConfig, setInitParameter, setJspConfigDescriptor, setSessionTrackingModes`

    - ### Methods inherited from class org.eclipse.jetty.server.handler.ContextHandler.Context

      `getAttribute, getAttributeNames, getClassLoader, getContextHandler, getContextPath, getEffectiveMajorVersion, getEffectiveMinorVersion, getInitParameter, getInitParameterNames, getMajorVersion, getMimeType, getMinorVersion, getRealPath, getRequestDispatcher, getResourceAsStream, getResourcePaths, getServerInfo, getServlet, getServletContextName, getServletNames, getServlets, isEnabled, log, log, log, removeAttribute, setAttribute, setEffectiveMajorVersion, setEffectiveMinorVersion, setEnabled, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebAppContext.Context

          public WebAppContext.Context()

  - ### Method Detail

    - #### getResource

          public URL getResource(String path)
                          throws MalformedURLException

      Specified by:
        `getResource` in interface `javax.servlet.ServletContext`
      Overrides:
        `getResource` in class `ContextHandler.Context`
      Throws:
        `MalformedURLException`

    - #### getContext

          public javax.servlet.ServletContext getContext(String uripath)

      Specified by:
        `getContext` in interface `javax.servlet.ServletContext`
      Overrides:
        `getContext` in class `ContextHandler.Context`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.